[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# TSmallIntHelper.ToDouble

Convert to a double-sized floating point value

## Declaration

Source position: syshelph.inc line 451

`public function TSmallIntHelper.ToDouble: Double;`

## Description

ToDouble converts the SmallInt value to a double-sized floating point value

## See also

TSmallIntHelper.ToBoolean |  | Convert to a boolean value
TSmallIntHelper.ToExtended |  | Convert to an extended-sized floating point value
TSmallIntHelper.ToSingle |  | Convert to an single-sized floating point value
TSmallIntHelper.ToString |  | Convert the value to string
TSmallIntHelper.ToHexString |  | Convert to a hexadecimal string representation